<?php
/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www.hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/
include "include/label.php";
$lpid=SafeRequest("id","get","zr");
if(IsNul($lpid)){
	$lpids=$lpid;
}else{
$lpids="";
	global $db;
	$sql="select S_ID from s_video where S_IsEnd=0 order by rand() desc";
	$rs=$db->query($sql);
	$num=$db->num_rows($rs);
	if($num==0){
		$lpids=$lpids.'';
	}else{
		$nums=30;
		if($num<$nums){
			$j=$num;
		}else{
			$j=$nums;
		}
		for($i=0;$i<$j;$i++){
			$row=$db->fetch_array($rs);
			$lpids=$lpids.$row["S_ID"].",";
		}
		$lpids=$lpids.']';
		$lpids=ReplaceStr($lpids,",]","");
	}
}
$tplpath=_CHSHDJ_ROOT_.S_Templateurl."playsong.html";
if(file_exists($tplpath)){
	$Mark_Text=@file_get_contents($tplpath);
	$Mark_Text=ReplaceStr($Mark_Text,"{chshdjcms:lpid}",$lpids);
	$Mark_Text=Common_Mark($Mark_Text,0);
	echo $Mark_Text;
}else{
	die("playsong.html模板文件不存在！");
}	
?>